#ifndef NETBOARD_DRAW_H
#define NETBOARD_DRAW_H

#include <gtk/gtk.h>

extern GdkPixbuf *draw_board;

int draw_image_load (const char *dir, const char *file, int id);
void draw_image_remove (int id);

int draw_object_add (int object_id, int image_id, int x, int y, int height, int width);
void draw_object_delete (int object_id);
void draw_object_move (int object_id, int x, int y);

int  draw_get_object_by_xy (int x, int y);

void draw_init (void);
void draw_remove_all (void);
void draw_all (void);

#endif
