/*
 * options-defaults.h
 * 
 * Copyright (C) 2006  Josef Kufner <jk@myserver.cz>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#ifndef JK_OPTIONS_DEFAULTS_H
#define JK_OPTIONS_DEFAULTS_H

/* defaults
 * (NULL terminated) */
struct s_options_defualts {
	char *opt;	/* option name */
	int integer;	/* integer value, used if string is NULL */
	char *string;	/* string value, used if is not NULL */
} const options_defaults[] = {
	{ "dir.config_file",	0,	"~/.netboard2.rc" },
	{ "dir.base",		0,	"~/.netboard2/" },
	{ "dir.startup_file",	0,	"startup.nb2" },
	{ "dir.network",	0,	"network/" },
	{ "dir.game",		0,	"game/" },
	{ "dir.data",		0,	"data/default/" },
	{ "ui.show_logs",	0,	NULL },
	{ "ui.autoswitch",	1,	NULL },
	{ "net.address",	0,	"" },
	{ NULL,			0,	NULL }
};


#endif

